package renderer;

import java.awt.*;

public class Resolution {

    private int width;
    private int height;
    private int downScale;

    public Resolution(int width, int height, int downScale) {
        this.width = width;
        this.height = height;
        this.downScale = downScale;
    }

    public int getScaledWidth() {
        return width / downScale;
    }

    public int getScaledHeight() {
        return height / downScale;
    }

    public int getWidth() {
        return width;
    }

    public int getHeight() {
        return height;
    }

    public int getDownScale() {
        return downScale;
    }

    public void setSize(Dimension size) {
        this.width = size.width;
        this.height = size.height;
    }
}
